<?php

	############################################################################
	# 	
	#	Meteotemplate
	# 	http://www.meteotemplate.com
	# 	Free website template for weather enthusiasts
	# 	Author: Jachym
	#           Brno, Czech Republic
	# 	First release: 2015
	#
	############################################################################
	#
	#	Weather Terminology - Danish
	#
	# 	Definition of commonly used weather-related vocabulary in Danish.
	#
	############################################################################
	#	Version and change log
	#
	# 	v1.0 	2016-08-04	Initial release
	#
	############################################################################
	
	include("../../config.php");
	include($baseURL."css/design.php");
	include($baseURL."header.php");
	
	include("wordStrings.php");
	
	$letters = range('A', 'Z');
	
	$letters[] = "&";
	
	
	function sorter($a, $b) {
	  return $a[0] > $b[0];
	}

	usort($definitions,"sorter");
	
?>
<!DOCTYPE html>
<html>
	<head>
		<title><?php echo $pageName?></title>
		<?php metaHeader()?>
		<script type="text/javascript" src="<?php echo $pageURL.$path?>scripts/jquery.tablesorter.js"></script>
		<style>
			p{
				text-indent:25px;
			}
			.term{
				padding-left:55px;
				font-weight: bold;
				width:100%;
				padding-top:2px;
				padding-bottom: 2px;
				text-align:left;
				cursor: pointer;
				opacity: 0.8;
				font-size:1.5em;
				font-variant:small-caps;
				color: #<?php echo $color_schemes[$design2]['200']?>;
			}
			.term:hover,.letterHeading:hover{
				opacity: 1;
			}
			.termDefinition{
				padding-left:65px;
				text-align:justify;
				padding-top:3px;
				padding-bottom: 5px;
				font-size:1.3em;
			}
			#gotop{
				position:fixed;
				top:50px;
				right:10px;
			}
			.letterHeading{
				font-size:2.5em;
				font-weight:bold;
				width:100%;
				border-bottom:1px solid white;
				text-align:left;
				padding-left:12px;
				padding-top:10px;
				opacity: 0.8;
				cursor: pointer;
			}
		</style>
	</head>
	<body>
		<div id="main_top">
			<?php bodyHeader()?>
			<?php include($baseURL."menu.php")?>
		</div>
		<div id="main" style="text-align:center">
			<br>
			<img src="dictionaryDK.png" style="width:80px">
			<br>
			<h1><?php echo lang('weather terminology','c')?></h1>
			<div style="width:95%;margin:0 auto">
			<?php
				for($i=0;$i<count($letters);$i++){
			?>
				<div class="letterHeading">
					<?php 
						if($letters[$i]!="&"){			
							echo $letters[$i];
						}
						else{
							echo "&#198;";
						}
					?>
				</div>
				<div class="letterList">
				<?php
					for($j=0;$j<count($definitions);$j++){
						if($definitions[$j][0][0]==$letters[$i]){
				?>
							<div class="term">
								<?php echo (($definitions[$j][0]))?>
							</div>
							<div class="termDefinition">
								<?php echo $definitions[$j][1]?>
							</div>
				<?php
						}
					}
				?>
				</div>
			<?php
				}
			?>
			</div>
			<br><br>
			<span style="font-size:0.8em;font-variant:small-caps"><?php echo lang('source','c')?>: Danmarks Meteorologiske Institut</span>
			<br><br>
			<div id="gotop" style="display: none;">
				<input type="button" class="button" value="<?php echo lang('gotop','c')?>">
			</div>
		</div>
		
		
		<?php include($baseURL."footer.php")?>
		<script>
			$(document).ready(function() {
				$(".termDefinition").hide();
				$(".letterList").hide();
				$(".term").click(function(){
					$(this).next(".termDefinition").slideToggle(800);
				});
				$(".letterHeading").click(function(){
					$(this).next(".letterList").slideToggle(800);
				});
				$("#gotop").scrollToTop();
			});
		</script>	
		
	</body>
</html>